<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %} 消息列表 {% endblock %}

{% block head %}
{{ super() }}
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
	<div class="page-wrap">
		<div class="page-content">
			<main class="main-content">
				<section class="section-featured-products">
					<div class="container">
						<div class="section-title text-center">
							{% if all_chatwith_list %}
							<h2 class="h3 section-title__heading">相关聊天如下</h2>
							{% else %}
							<h2 class="h3 section-title__heading">您暂时没有消息记录</h2>
							{% endif %}
						</div>
	
						{% if all_chatwith_list %}
						<ul> {#从这里开始显示自己商品相关的聊天对象#}
							{% for chatwith_list in all_chatwith_list %}
							<p style="font-size:20px;color:rgb(30, 180, 100)">与商品【{{chatwith_list[0].prod.name}}】相关的聊天:</p>
							{% for chatwith in chatwith_list %}
							<p style="font-size:15px;color:rgb(170, 170, 0)">
								&nbsp&nbsp&nbsp&nbsp与用户“{{chatwith.username}}”的聊天记录:</p>
							<p>&nbsp&nbsp&nbsp&nbsp
								{% if chatwith.have_unread_message %}
								<a style="font-size:15px;color:rgb(250, 100, 61)">有未读消息！&nbsp&nbsp</a>
								{% endif %}
								<a style="font-size:15px;color:rgb(10,100, 250)"
									href="{{ url_for('chat.chat',user_id=user_id,chat_partner_id=chatwith.userid,prod_id=chatwith.prod.id) }}">查看</a>
							</p>
							{% endfor %}
							{% endfor %}
						</ul>
						{% endif %}
					</div>
				</section>
			</main> <!-- end of main -->
		</div>
	</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}